summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1256
-rw-r--r--jenkins/notify-init.log312
-rw-r--r--jenkins/run-build.env6
4 files changed, 1363 insertions, 213 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index c4f7b29..8652642 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#829-glibc-R1
+#830-glibc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index b6c1f02..e9866aa 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-+ setup_notify_environment
# setup_notify_environment
++ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -26,18 +26,18 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/828/
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/828/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/'
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/'
++ echo '# Using dir : artifacts'
# Using dir : artifacts
-+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
@@ -45,8 +45,8 @@
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
-# check_source_changes
+ check_source_changes
+# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -77,7 +77,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x3f798427884fa57770e8e2291cf58d5918254bb5 '!=' x8e755f5bc8f57d0034c12f34c11ce8a83103dc65 ']'
+++ '[' xf85722f9cdedde15c263753cbee0a705d2be67af '!=' x3f798427884fa57770e8e2291cf58d5918254bb5 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -90,17 +90,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=3f798427884fa57770e8e2291cf58d5918254bb5
++ first_bad=f85722f9cdedde15c263753cbee0a705d2be67af
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
++ last_good=3f798427884fa57770e8e2291cf58d5918254bb5
+ local res
+ res=0
-+ wait 46187
++ wait 59217
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +114,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
++ base_rev=3f798427884fa57770e8e2291cf58d5918254bb5
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=3f798427884fa57770e8e2291cf58d5918254bb5
-++ git -C glibc rev-parse '3f798427884fa57770e8e2291cf58d5918254bb5^@'
++ cur_rev=f85722f9cdedde15c263753cbee0a705d2be67af
+++ git -C glibc rev-parse 'f85722f9cdedde15c263753cbee0a705d2be67af^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 63d0a35d5f223a3f4b68190567b7d4d44545bce5 = 8e755f5bc8f57d0034c12f34c11ce8a83103dc65 ']'
-+ return 1
-+ change_kind=single_component
-+ echo '# Debug traces :'
++ '[' 3f798427884fa57770e8e2291cf58d5918254bb5 = 3f798427884fa57770e8e2291cf58d5918254bb5 ']'
++ return 0
# Debug traces :
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
+# change_kind=single_commit : glibc
++ change_kind=single_commit
++ echo '# Debug traces :'
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -137,18 +137,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
++ base_rev=3f798427884fa57770e8e2291cf58d5918254bb5
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=3f798427884fa57770e8e2291cf58d5918254bb5
-++ git -C glibc rev-list --count 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5
-# rev for glibc : 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5 (2 commits)
++ cur_rev=f85722f9cdedde15c263753cbee0a705d2be67af
+++ git -C glibc rev-list --count 3f798427884fa57770e8e2291cf58d5918254bb5..f85722f9cdedde15c263753cbee0a705d2be67af
++ c_commits=1
+# rev for glibc : 3f798427884fa57770e8e2291cf58d5918254bb5..f85722f9cdedde15c263753cbee0a705d2be67af (1 commits)
-+ c_commits=2
-+ echo '# rev for glibc : 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5 (2 commits)'
++ echo '# rev for glibc : 3f798427884fa57770e8e2291cf58d5918254bb5..f85722f9cdedde15c263753cbee0a705d2be67af (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -175,8 +175,262 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 59297
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=7c1e61a90d
+++ '[' 0 -ne 0 ']'
+++ echo 7c1e61a90d
++ sha1=7c1e61a90d
++ git -C interesting-commits checkout --detach 7c1e61a90d
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ a8af546632 Add entry f85722f9cdedde15c263753cbee0a705d2be67af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> a8af546632
+
+HEAD is now at 7c1e61a90d Add entry de0ab339a795352c843f6e9b2dfce222f26588de from https://ci.linaro.org/job/tcwg_bootstrap_check--master-aarch64-check_bootstrap-build/417/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ subdir3=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
++ subdir4=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af ']'
++ mkdir -p interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/first_url
++ mkdir -p interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 3f798427884fa57770e8e2291cf58d5918254bb5
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f85722f9cdedde15c263753cbee0a705d2be67af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/'
+[detached HEAD 1296d767c0] Add entry f85722f9cdedde15c263753cbee0a705d2be67af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/first_url
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/last_good
++ wait 72868
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -185,15 +439,600 @@
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ isubdir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 72938
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=7c1e61a90d
+++ '[' 0 -ne 0 ']'
+++ echo 7c1e61a90d
++ sha1=7c1e61a90d
++ git -C interesting-commits checkout --detach 7c1e61a90d
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 1296d767c0 Add entry f85722f9cdedde15c263753cbee0a705d2be67af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 1296d767c0
+
+HEAD is now at 7c1e61a90d Add entry de0ab339a795352c843f6e9b2dfce222f26588de from https://ci.linaro.org/job/tcwg_bootstrap_check--master-aarch64-check_bootstrap-build/417/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
+# update_interesting_commits
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ subdir3=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
++ subdir4=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af ']'
++ mkdir -p interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/first_url
++ mkdir -p interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 3f798427884fa57770e8e2291cf58d5918254bb5
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ print_result --oneline
++ false
++ local print_arg=--oneline
++ case "$print_arg" in
++ '[' 0 = 0 ']'
++ echo Success
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
++ local cur_file cur best= best_file
++ read -r cur_file
+++ sort
+++ find interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1042: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1042: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status-summary.txt
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status-summary.txt glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ print_result --long
++ false
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'Results changed to'
+++ cat artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ echo ''
++ echo From
+++ cat base-artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ return 0
++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/details.txt
++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/build_url
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/status.txt
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
+++ ls
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/status.txt ']'
++ echo '* master-aarch64'
++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ ls
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status.txt ']'
++ echo '* tcwg_glibc_build'
++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc f85722f9cdedde15c263753cbee0a705d2be67af true
+++ local component=glibc
+++ local sha1=f85722f9cdedde15c263753cbee0a705d2be67af
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe f85722f9cdedde15c263753cbee0a705d2be67af
++ describe=glibc-2.38.9000-319-gf85722f9cd
+++ echo glibc-2.38.9000-319-gf85722f9cd
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-319-gf85722f9cd
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-319-gf85722f9cd'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.glryCYVhup
++ git -C glibc log -n1 f85722f9cdedde15c263753cbee0a705d2be67af
++ tail -n +2
++ head -n 10 /tmp/tmp.glryCYVhup
+++ cat /tmp/tmp.glryCYVhup
+++ wc -l
++ more_lines=0
++ '[' 0 -gt 0 ']'
++ rm /tmp/tmp.glryCYVhup
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira
++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira ']'
++ mkdir interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f85722f9cdedde15c263753cbee0a705d2be67af true
++++ local component=glibc
++++ local sha1=f85722f9cdedde15c263753cbee0a705d2be67af
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f85722f9cdedde15c263753cbee0a705d2be67af
+++ describe=glibc-2.38.9000-319-gf85722f9cd
++++ echo glibc-2.38.9000-319-gf85722f9cd
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-319-gf85722f9cd
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-319-gf85722f9cd
+++ return 0
+++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/status-summary.txt
++ echo glibc-2.38.9000-319-gf85722f9cd: Success
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/summary
++ cat
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=f85722f9cdedde15c263753cbee0a705d2be67af'
+++ return 0
+++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/commit-log.txt
+++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/status.txt
+++ print_icommits_link glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/yaml
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso f85722f9cdedde15c263753cbee0a705d2be67af
++ commit_date='2023-12-05 09:15:10 -0500'
++ date -d '2023-12-05 09:15:10 -0500' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira
+++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/key ']'
+++ return 0
+WARNING: no existing jira card interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/key
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/key'
++ return 0
++ local describe
+++ describe_sha1 glibc f85722f9cdedde15c263753cbee0a705d2be67af false
+++ local component=glibc
+++ local sha1=f85722f9cdedde15c263753cbee0a705d2be67af
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe f85722f9cdedde15c263753cbee0a705d2be67af
++ describe=glibc-2.38.9000-319-gf85722f9cd
++ '[' glibc-2.38.9000-319-gf85722f9cd '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-319-gf85722f9cd
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ rm -f interesting-commits/glibc/glibc-2.38.9000-319-gf85722f9cd
++ ln -s sha1/f85722f9cdedde15c263753cbee0a705d2be67af interesting-commits/glibc/glibc-2.38.9000-319-gf85722f9cd
++ git -C interesting-commits add glibc/glibc-2.38.9000-319-gf85722f9cd
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f85722f9cdedde15c263753cbee0a705d2be67af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/'
+[detached HEAD ad8123a988] Add entry f85722f9cdedde15c263753cbee0a705d2be67af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/
+ 17 files changed, 83 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-319-gf85722f9cd
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/commit-log.txt
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/first_url
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/components
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/description
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/startdate
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/summary
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/status-summary.txt
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/status.txt
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/details.txt
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/last_good
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/status-summary.txt
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/status.txt
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status-summary.txt
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/status.txt
++ wait 86832
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -203,11 +1042,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ isubdir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ icommit_entry=interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ '[' interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira ']'
++ rsync -a interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -231,9 +1082,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -256,17 +1107,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
++ base_rev=3f798427884fa57770e8e2291cf58d5918254bb5
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=3f798427884fa57770e8e2291cf58d5918254bb5
-+ read -r email
-++ git -C glibc log --pretty=%ae 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5
-+ emails["$email"]=cc
++ cur_rev=f85722f9cdedde15c263753cbee0a705d2be67af
+ read -r email
+++ git -C glibc log --pretty=%ae 3f798427884fa57770e8e2291cf58d5918254bb5..f85722f9cdedde15c263753cbee0a705d2be67af
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -277,17 +1126,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
++ base_rev=3f798427884fa57770e8e2291cf58d5918254bb5
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=3f798427884fa57770e8e2291cf58d5918254bb5
-+ read -r email
-++ git -C glibc log --pretty=%ce 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5
-+ emails["$email"]=to
++ cur_rev=f85722f9cdedde15c263753cbee0a705d2be67af
+ read -r email
+++ git -C glibc log --pretty=%ce 3f798427884fa57770e8e2291cf58d5918254bb5..f85722f9cdedde15c263753cbee0a705d2be67af
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -301,11 +1148,6 @@
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
-+ type=to
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$email")
-+ for email in "${!emails[@]}"
+ type=bcc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
@@ -315,48 +1157,33 @@
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$email")
-+ for email in "${!emails[@]}"
-+ type=cc
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$type:$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,schwab@suse.de,bcc:tcwg-validation@linaro.org,szabolcs.nagy@arm.com,cc:Joe.Ramsay@arm.com
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,siddhesh@sourceware.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=3f798427884fa57770e8e2291cf58d5918254bb5
-+++ git -C glibc rev-list --count 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5
-++ c_commits=2
-++ new_commits=2
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '2 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f85722f9cdedde15c263753cbee0a705d2be67af true
++++ local component=glibc
++++ local sha1=f85722f9cdedde15c263753cbee0a705d2be67af
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f85722f9cdedde15c263753cbee0a705d2be67af
+++ describe=glibc-2.38.9000-319-gf85722f9cd
++++ sed 's,^basepoints/,,'
++++ echo glibc-2.38.9000-319-gf85722f9cd
+++ describe=glibc-2.38.9000-319-gf85722f9cd
++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-319-gf85722f9cd
++ return 0
++ gnu_print_result --oneline
++ false
@@ -371,7 +1198,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -394,25 +1221,48 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' '2 commits in glibc: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-319-gf85722f9cd: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/828/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/artifact/artifacts
+ local key=
-+ '[' single_component = single_commit ']'
++ '[' single_commit = single_commit ']'
++ '[' '' = '' ']'
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira
+++ '[' -f interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
++ '[' GNU-692 '!=' '' ']'
+ cat
-+ '[' '' '!=' '' ']'
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -435,56 +1285,39 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=3f798427884fa57770e8e2291cf58d5918254bb5
-+++ git -C glibc rev-list --count 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5
-++ c_commits=2
-++ new_commits=2
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '2 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f85722f9cdedde15c263753cbee0a705d2be67af true
++++ local component=glibc
++++ local sha1=f85722f9cdedde15c263753cbee0a705d2be67af
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f85722f9cdedde15c263753cbee0a705d2be67af
+++ describe=glibc-2.38.9000-319-gf85722f9cd
++++ echo glibc-2.38.9000-319-gf85722f9cd
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-319-gf85722f9cd
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=3f798427884fa57770e8e2291cf58d5918254bb5
-+++ git -C glibc rev-list --count 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5
-++ c_commits=2
-++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5
-++ '[' 2 -gt 5 ']'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-319-gf85722f9cd'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.cbn6tvrXbi
+++ tail -n +2
+++ git -C glibc log -n1 f85722f9cdedde15c263753cbee0a705d2be67af
+++ head -n 10 /tmp/tmp.cbn6tvrXbi
++++ wc -l
++++ cat /tmp/tmp.cbn6tvrXbi
+++ more_lines=0
+++ '[' 0 -gt 0 ']'
+++ rm /tmp/tmp.cbn6tvrXbi
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -515,7 +1348,7 @@
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -533,18 +1366,81 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_build master-aarch64'
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_build master-aarch64
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af tcwg_glibc_build master-aarch64
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
++++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
+++ isubdir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=f85722f9cdedde15c263753cbee0a705d2be67af'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ isubdir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/status.txt
+ true
+ generate_jenkins_html_files
-+ wait 46332
++ wait 86957
+ set -euf -o pipefail
+ echo '# generate_jenkins_html_files'
# generate_jenkins_html_files
+ true
+ case "$ci_project" in
-... Skipping
+ echo '... Skipping'
+... Skipping
+ return
+ generate_readme html
+ set -euf -o pipefail
@@ -652,30 +1548,30 @@
+ local text_type=txt
+ case $text_type in
# generate dashboard
+# generate_dashboard_squad
+... Skipping
+# post_dashboard_squad
+... Skipping
+ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
-# generate_dashboard_squad
-... Skipping
+ echo '# generate_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ post_dashboard_squad
-# post_dashboard_squad
-... Skipping
+ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 46364
++ wait 86989
+ set -euf -o pipefail
+ local results_date
+ echo '# generate_lnt_report'
# generate_lnt_report
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/lnt-utils.sh
+ calculate_results_date
+ set -euf -o pipefail
+ local c base_d cur_d results_date=0
@@ -689,63 +1585,63 @@
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct 8e755f5bc8f57d0034c12f34c11ce8a83103dc65
-+ base_d=1701700886
+++ git -C glibc show --no-patch --pretty=%ct 3f798427884fa57770e8e2291cf58d5918254bb5
++ base_d=1701776977
++ get_current_component_date glibc
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct 3f798427884fa57770e8e2291cf58d5918254bb5
-+ cur_d=1701776977
-+ '[' x1701700886 '!=' x ']'
-+ '[' x1701776977 = x ']'
-+ '[' 1701776977 -lt 1701700886 ']'
-+ '[' x1701776977 = x ']'
-+ '[' 1701776977 -gt 0 ']'
-+ results_date=1701776977
-+ assert_with_msg 'Failed to produce results_date' '[' 1701776977 -gt 0 ']'
+++ git -C glibc show --no-patch --pretty=%ct f85722f9cdedde15c263753cbee0a705d2be67af
++ cur_d=1701785710
++ '[' x1701776977 '!=' x ']'
++ '[' x1701785710 = x ']'
++ '[' 1701785710 -lt 1701776977 ']'
++ '[' x1701785710 = x ']'
++ '[' 1701785710 -gt 0 ']'
++ results_date=1701785710
++ assert_with_msg 'Failed to produce results_date' '[' 1701785710 -gt 0 ']'
+ set -euf -o pipefail +x
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=1701644539
-+ '[' 1701644539 '!=' '' ']'
-+ assert '[' 1701776977 -ge 1701644539 ']'
++ base_d=1701710758
++ '[' 1701710758 '!=' '' ']'
++ assert '[' 1701785710 -ge 1701710758 ']'
+ set -euf -o pipefail +x
-+ '[' 1701776977 -gt 1701644539 ']'
-+ results_date=1701710758
-+ rr[results_date]=1701710758
++ '[' 1701785710 -gt 1701710758 ']'
++ results_date=1701748234
++ rr[results_date]=1701748234
+ cat
+ manifest_out
+ cat
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1701710758
-++ date '+%Y-%m-%d %H:%M:%S' --date @1701710758
-+ results_date='2023-12-04 17:25:58'
++ results_date=1701748234
+++ date '+%Y-%m-%d %H:%M:%S' --date @1701748234
++ results_date='2023-12-05 03:50:34'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/ tcwg_glibc_build master-aarch64 '2023-12-04 17:25:58' artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/ tcwg_glibc_build master-aarch64 '2023-12-05 03:50:34' artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/
+ local ci_project=tcwg_glibc_build
+ local ci_config=master-aarch64
-+ local 'results_date=2023-12-04 17:25:58'
++ local 'results_date=2023-12-05 03:50:34'
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
+ local -a sumfiles
+ readarray -t -d '' sumfiles
++ find artifacts/sumfiles -name '*.sum' -print0
find: ‘artifacts/sumfiles’: No such file or directory
+# post_to_jira
+ '[' 0 = 0 ']'
+ return
+ false
+ post_to_jira
+ set -euf -o pipefail
-# post_to_jira
+ echo '# post_to_jira'
+ local post_card_comment=false
+ local post_template_comment=false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 76c5120..d785dff 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,9 +9,9 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+ echo '# setup_notify_environment'
+# setup_notify_environment
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
@@ -21,20 +21,20 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-aarch64
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/828/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/828/'
-+ echo '# Using dir : base-artifacts'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/'
++ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/829/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/'
+ echo '# Using dir : artifacts'
# Using dir : artifacts
@@ -45,8 +45,8 @@
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
-+ check_source_changes
# check_source_changes
++ check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -77,7 +77,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x3f798427884fa57770e8e2291cf58d5918254bb5 '!=' x8e755f5bc8f57d0034c12f34c11ce8a83103dc65 ']'
+++ '[' xf85722f9cdedde15c263753cbee0a705d2be67af '!=' x3f798427884fa57770e8e2291cf58d5918254bb5 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -90,17 +90,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=3f798427884fa57770e8e2291cf58d5918254bb5
++ first_bad=f85722f9cdedde15c263753cbee0a705d2be67af
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
++ last_good=3f798427884fa57770e8e2291cf58d5918254bb5
+ local res
+ res=0
-+ wait 46074
++ wait 45470
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +114,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
++ base_rev=3f798427884fa57770e8e2291cf58d5918254bb5
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=3f798427884fa57770e8e2291cf58d5918254bb5
-++ git -C glibc rev-parse '3f798427884fa57770e8e2291cf58d5918254bb5^@'
++ cur_rev=f85722f9cdedde15c263753cbee0a705d2be67af
+++ git -C glibc rev-parse 'f85722f9cdedde15c263753cbee0a705d2be67af^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 63d0a35d5f223a3f4b68190567b7d4d44545bce5 = 8e755f5bc8f57d0034c12f34c11ce8a83103dc65 ']'
-+ return 1
-+ change_kind=single_component
++ '[' 3f798427884fa57770e8e2291cf58d5918254bb5 = 3f798427884fa57770e8e2291cf58d5918254bb5 ']'
++ return 0
++ change_kind=single_commit
+ echo '# Debug traces :'
# Debug traces :
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -137,18 +137,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8e755f5bc8f57d0034c12f34c11ce8a83103dc65
++ base_rev=3f798427884fa57770e8e2291cf58d5918254bb5
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=3f798427884fa57770e8e2291cf58d5918254bb5
-++ git -C glibc rev-list --count 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5
-+ c_commits=2
-+ echo '# rev for glibc : 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5 (2 commits)'
-# rev for glibc : 8e755f5bc8f57d0034c12f34c11ce8a83103dc65..3f798427884fa57770e8e2291cf58d5918254bb5 (2 commits)
++ cur_rev=f85722f9cdedde15c263753cbee0a705d2be67af
+++ git -C glibc rev-list --count 3f798427884fa57770e8e2291cf58d5918254bb5..f85722f9cdedde15c263753cbee0a705d2be67af
++ c_commits=1
+# rev for glibc : 3f798427884fa57770e8e2291cf58d5918254bb5..f85722f9cdedde15c263753cbee0a705d2be67af (1 commits)
++ echo '# rev for glibc : 3f798427884fa57770e8e2291cf58d5918254bb5..f85722f9cdedde15c263753cbee0a705d2be67af (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -175,9 +175,263 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 45550
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=7c1e61a90d
+++ '[' 0 -ne 0 ']'
+++ echo 7c1e61a90d
++ sha1=7c1e61a90d
++ git -C interesting-commits checkout --detach 7c1e61a90d
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ feea3ac6df Add entry 8e755f5bc8f57d0034c12f34c11ce8a83103dc65 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/742/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> feea3ac6df
+
+HEAD is now at 7c1e61a90d Add entry de0ab339a795352c843f6e9b2dfce222f26588de from https://ci.linaro.org/job/tcwg_bootstrap_check--master-aarch64-check_bootstrap-build/417/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ jira_dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ subdir3=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
++ subdir4=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
+++ interesting_subdir glibc f85722f9cdedde15c263753cbee0a705d2be67af tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af ']'
++ mkdir -p interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/first_url
++ mkdir -p interesting-commits/glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 3f798427884fa57770e8e2291cf58d5918254bb5
++ git -C interesting-commits add glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/last_good
+ '[' init '!=' full ']'
++ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f85722f9cdedde15c263753cbee0a705d2be67af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/'
+[detached HEAD a8af546632] Add entry f85722f9cdedde15c263753cbee0a705d2be67af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/830/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/first_url
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f85722f9cdedde15c263753cbee0a705d2be67af/tcwg_glibc_build/master-aarch64/last_good
++ wait 59126
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
Init stage ran successfully.
++ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 3fda99c..26fdffe 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,4 +1,4 @@
-build_name="#829"
+build_name="#830"
docker_opts=(--distro
default
--arch
@@ -9,7 +9,7 @@ tcwg-jade-06
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#829-glibc"
+build_name="#830-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#829-glibc-R1"
+build_name="#830-glibc-R1"